package tourist.util;

abstract class Animal {

    private int energy = 0;

    protected int getEnergy()
    {
        return energy;
    }

    protected void addToEnergy(int amount)
    {
        if(amount < 0) {
            throw new IllegalArgumentException("");
        }

        energy += amount;
    }

    protected void subtractFromEnergy(int amount)
    {
        if(amount < 0) {
            throw new IllegalArgumentException("");
        }

        if((energy - amount) < 0) {
            energy = 0;
        }
        else {
           energy -= amount;
        }
    }

    public boolean hasNoEnergy()
    {
        if(energy == 0) {
            return false;
        }

        return true;
    }
}